Subject: Re: bnx2_poll panicking kernel

From: "Michael Chan" <[email-masked]>
Date: Thu, 10 Jul 2008 14:38:41 -0700

On Thu, 2008-07-10 at 14:23 -0700, Josip Rodin wrote:
> I'll try it - but just as I was reading this e-mail, the machine
> managed to
> crash :(
> 
> The log was:
> 
> BUG: unable to handle kernel NULL pointer dereference at
> 00000000000000b8
> IP: [<ffffffff8807ad7e>] :bnx2:bnx2_tx_int+0x7e/0x3f0

This is the same crash that you originally reported.  The driver was
referencing a NULL SKB because the skb_shinfo(skb)->nr_frags was
modified on the previous packet in the TX ring.

If you had applied my debug patch #1 that I posted several weeks ago, it
should have avoided this because we should have saved away the nr_frags
for every packet on the TX ring.